#!/bin/sh
echo [changernd.sh]

if
    test $# -eq 1
then
    RANDOMMODE=${1}

    if
        expr $RANDOMMODE == off >/dev/null
    then
        createopl
    fi

    if
        expr $RANDOMMODE == all >/dev/null
    then
        createopl -a
    fi

    if
        expr $RANDOMMODE == device >/dev/null
    then
        createopl -d
    fi

    if
        expr $RANDOMMODE == list >/dev/null
    then
        createopl -l
    fi
else
    RANDOMMODE=`cat /tmp/RANDOMMODE`

    if
        expr $RANDOMMODE == off >/dev/null
    then
        RANDOMMODE=list
        createopl -l
    else
        if
            expr $RANDOMMODE == list >/dev/null
        then
            RANDOMMODE=device
            createopl -d
        else
            if
                expr $RANDOMMODE == device >/dev/null
            then
                RANDOMMODE=all
                createopl -a
            else
                if
                    expr $RANDOMMODE == all >/dev/null
                then
                    RANDOMMODE=off
                    createopl
                fi
            fi
        fi
    fi
fi

DEVICE=`cat /tmp/DEVICE`
LIST=`cat /tmp/LIST`
SONG=`cat /tmp/SONG`

SONGID=`askopl $DEVICE $LIST $SONG`
echo $SONGID > /tmp/SONGID

echo display_setrandommode $RANDOMMODE >/tmp/fifo.display #&
echo $RANDOMMODE > /tmp/RANDOMMODE
