#!/bin/sh
echo [play.sh]

STATUS=`cat /tmp/STATUS`
DEVICE=`cat /tmp/DEVICE`
LIST=`cat /tmp/LIST`
SONG=`cat /tmp/SONG`

echo [play.sh] $STATUS $DEVICE $LIST $SONG >>/var/log/mp3
sync

SONGPATH=`askmpl $DEVICE $LIST $SONG`

# End of list: go to song 1 of next list
if
    expr "$SONGPATH" == "" >/dev/null
then
    printf "\a"
    SONG=1
    LIST=`expr $LIST + 1` >/dev/null
    LISTNAME=`askmpl $DEVICE $LIST 0`
    echo $SONG >/tmp/SONG
    echo $LIST >/tmp/LIST
    sync

    # Skip list?
    if
        expr "$LISTNAME" : ~.* >/dev/null
    then
        echo Hidden list, will go to next list >>/var/log/mp3
        sync
        nextlist.sh
        exit
    fi

    echo Last song in list, went to song 1 of next list >>/var/log/mp3
    sync

    SONGPATH=`askmpl $DEVICE $LIST $SONG`
fi

# End of Lists: Go to first list of next device
if
    expr "$SONGPATH" == "" >/dev/null
then
    echo Last list, will go to list 1 of next device >>/var/log/mp3
    sync
    changedev.sh
    exit
fi

# Song 0: Go to song 1
if
    expr $SONG == 0 >/dev/null
then
    SONG=1
    echo $SONG >/tmp/SONG
    SONGPATH=`askmpl $DEVICE $LIST $SONG`
    echo Song number is 0, going to song 1 >>/var/log/mp3
    sync
fi

echo playing >/tmp/STATUS
sync
echo LOAD "$SONGPATH" | tee -a /var/log/mp3 >/tmp/fifo.player
