
/*
 * askmpl.c - part of a car mp3 player package
 * written by Tobias Weihmann, licensed under GPL
 *
 * 2000/03/16 V0.1
 *
 */

#define MPL_FILE "/tmp/MPL"

#include <stdio.h>
#include <dirent.h>

int main(int argc, char **argv) {
	FILE *mpl;
	char filename[NAME_MAX];
	int dev,song,list,sdev,ssong,slist,success=0;

	if (argc != 4) {
		fprintf(stderr,"Usage: askmpl <device> <list-nr> <song-nr>\n");
		exit(2);
	}
	sdev=atoi(argv[1]);
	slist=atoi(argv[2]);
	ssong=atoi(argv[3]);

	mpl = fopen(MPL_FILE, "r");
	if (mpl == NULL) {
		fprintf(stderr, "Could not open MPL file <%s>.\n", MPL_FILE);
		exit(2);
	}

	
	while (!feof(mpl)) {
		fscanf(mpl, "%d%d%d %[^\n]", &dev, &list, &song, filename);
		if ( (dev==sdev) && (list==slist) && (song==ssong) ) {
			 printf("%s\n", filename);
			 success=1;
		}
	}

	fclose(mpl);
	if (success==1) return 0; else return 1;
}
