#!/bin/sh

/bin/echo "***** Running network setup..."

/bin/echo "Setting up loopback device..."
/sbin/ifconfig lo 127.0.0.1

## If you want to initalize a network card, choose one driver
## or add your own. Uncomment the driver you want
#echo "Initializing network card..."
#/sbin/insmod /lib/modules/2.4.0/kernel/drivers/net/ne2k-pci.o
#/sbin/insmod /lib/modules/2.4.0/kernel/drivers/net/natsemi.o

## If you want a network connection, change IP here if needed
## and uncomment the line. First three numbers of the IP have
## to be identical to your workstation's (aka same subnet)
#echo "Setting up network card..."
#/sbin/ifconfig eth0 192.168.100.1 netmask 255.255.255.0 up

## Want to run network servers (included are ftp and http servers)?
## Then uncomment the following lines
#echo "Starting inetd..."
#/sbin/inetd

## Want to use the webserver? Uncomment if you want webserver control
## Nhttpd is already included with CMMS, no setup necessary
## Then uncomment the following lines
#/bin/echo "Starting webserver..."
#rm -f /var/log/nhttpd.log
#rm -f /tmp/mpl.html 
#/usr/bin/printmpl >/tmp/mpl.html
#/usr/local/nhttpd/bin/nhttpd 80

## Start webbrowser ? Uncomment if you want NULLMODEM control (serial)
## Important: the browser LYNX does not come with CMMS. You have
## to copy it into cmms/bin/ if you want to use local webserver control!
## You should set the start page of lynx to http://127.0.0.1/mpl.html
#/bin/echo "Starting webbrowser on console 4 (alt-ctrl-F4)..."
#/bin/lynx >/dev/tty4 </dev/tty4 &
#/bin/echo "Starting webbrowser on first serial port..."
#/bin/lynx >/dev/ttyS0 </dev/ttyS0 &

