#!/bin/sh
###
cd /usr/bin

PATH=./:/bin:/usr/bin:$PATH
export PATH

###
# initialize needed temp files (don't modify this)
./tempfiles.sh

###
# create Playlists
###
# Usage: playlist.sh DEV1_PATH DEV2_PATH
#         specify two paths in which you store
#         your albums
###
./playlists.sh /files/pub/incoming /files/pub/incoming

###
# speech synthesis
# - uncomment the first line, if you want the computer
# to say "running" before starting the player
# - uncomment the second line, if you want to turn OFF
# speech synthesis while CMMS is running
#
###
#
/bin/say "Running." >/dev/null
#/bin/touch /tmp/nosay
#
###

###
# execute cmms - CHANGE THIS PART IF NEEDED
# (cmms will run it's child processes automatically now)
###
# Usage: cmms [-w] [-d] [-h] [-l]
#         w       Wheel input support
#         d       Print debugging information
#         h       Show this help
# Options that will just be passed to CMMS_DISPLAY:
#         l       Lcd display support
#         t       Mp3Tag display support
###
./cmms -dw
