#!/bin/sh
#
# playlists.sh - Create MasterPlayList
# and OrderPlayList (once only!)
#
if test -f /tmp/MPL
then
    echo MasterPlayList already created.
    if test -f /tmp/OPL
    then
        echo OrderPlayList already created.
    else
        echo OrderPlayList is being created...
        RANDOMMODE=`cat /tmp/RANDOMMODE`
        changernd.sh $RANDOMMODE
    fi
else
    echo MasterPlayList is being created...
    ./creatempl $1 1
    ./creatempl $2 2
    echo OrderPlayList is being created from new MasterPLayList...
    RANDOMMODE=`cat /tmp/RANDOMMODE`
    changernd.sh $RANDOMMODE
fi
