#!/bin/sh
echo [title.sh]

STATUS=`cat /tmp/STATUS`
DEVICE=`cat /tmp/DEVICE`
LIST=`cat /tmp/LIST`
SONG=`cat /tmp/SONG`

DEVICEPATH=`askmpl $DEVICE 0 0`
LISTPATH=`askmpl $DEVICE $LIST 0`
SONGPATH=`askmpl $DEVICE $LIST $SONG`

DEVICENAME=`pathtoname "$DEVICEPATH"`
LISTNAME=`pathtoname "$LISTPATH"`
SONGNAME=`pathtoname "$SONGPATH"`

echo "display_setstatus $STATUS $DEVICE $LIST $SONG" >/tmp/fifo.display

if
    expr $STATUS == changeddevice >/dev/null
then
    DISPLAYTITLE="/Device: $DEVICENAME"
fi

if
    expr $STATUS == changedlist >/dev/null
then
    DISPLAYTITLE="/List: $LISTNAME"
fi

if
    expr $STATUS == changedsong >/dev/null
then
    DISPLAYTITLE="$SONGNAME"
fi

if
    expr $STATUS == stopped >/dev/null
then
    DISPLAYTITLE="/List: $LISTNAME"
fi

if
    expr $STATUS == paused >/dev/null
then
    DISPLAYTITLE="$SONGNAME"
fi

if
    expr $STATUS == playing >/dev/null
then
    DISPLAYTITLE="$SONGNAME"
fi

echo "display_settitle $DISPLAYTITLE" >/tmp/fifo.display
