/*
 * cmms - Car MultiMedia System
 * by Tobias Weihmann <tobias@fomalhaut.de>
 * and Janosch Rolles <janosch@base2.de>
 *
 * For detailed information view cmms.c and
 * project documentation in usr/doc of the
 * distribution or visit http://www.base2.de
 * or send email to cmms@base2.de
 *
 */

/* _Definitions of control keys_ */

/* wheel */
#define WHEEL_LEFT              18     //  <-
#define WHEEL_RIGHT             19     //  ->
#define WHEEL_PUSH              16     //  \|/

/* keyboard_allmodes */
#define ALLMODES_STOP           25     //  stop
#define ALLMODES_PAUSE          24     //  pause

/* keyboard_control */
#define CONTROL_CHANGERND       36     //  mode
#define CONTROL_CHANGEDEV       43     //  dev/del
#define CONTROL_NEXTLIST        7      //  2
#define CONTROL_NEXTSONG        66     //  6
#define CONTROL_JUMPFW          12     //  9
#define CONTROL_PREVLIST        111    //  8
#define CONTROL_PREVSONG        102    //  4
#define CONTROL_JUMPBW          67     //  7
#define CONTROL_VOLUMEUP        110    //  1
#define CONTROL_VOLUMEDOWN      104    //  0

/* keyboard_numinput */

/* keyboard_mixer */
#define MIXER_VOLUMEUP          110    //  1
#define MIXER_VOLUMEDOWN        104    //  0
#define MIXER_BALANCELEFT       67     //  4
#define MIXER_BALANCERIGHT      12     //  6
#define MIXER_BASSUP            102    //  8
#define MIXER_BASSDOWN          111    //  2
#define MIXER_TREBLEUP          7      //  9
#define MIXER_TREBLEDOWN        66     //  3
#define MIXER_MODECONTROL       36     //  mode
